Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.step
Class Step

    java.lang.Object
      com.pmease.quickbuild.step.Step

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  BuildStep, CheckoutStep, CompositeStep, LabelStep, NotifyStep, PublishStep

public abstract class Step
extends java.lang.Object
implements java.io.Serializable

Defines common parts of a step implementation.

Author:
  robin shine
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DEFAULT_NAME`

Constructor Summary
`Step()`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`StepEditor` | `getEditor()`
`java.lang.String` | `getName()` Provide a name for this step.
`java.util.Map` | `getNameChoices()`
`Step` | `getParent()`
`StepStatusEnum` | `getStatus()`
`java.lang.String` | `getStepNecessaryCondition()` OGNL: Determines if this step is necessary during the build process.
`java.util.Map` | `getStepNecessaryConditionChoices()`
`int` | `hashCode()`
`boolean` | `isFailed()` OGNL: Whether or not this step is failed.
`boolean` | `isIdle()` OGNL: Whether or not this step is idle.
`boolean` | `isRunning()` OGNL: Whether or not this step is running.
`boolean` | `isSuccessful()` OGNL: Whether or not this step is successful.
`protected abstract void` | `run(Build build)` Run this step in specified build context.
`void` | `setEditor(StepEditor editor)`
`void` | `setName(java.lang.String name)`
`void` | `setStatus(StepStatusEnum status)`
`void` | `setStepNecessaryCondition(java.lang.String stepNecessaryCondition)`
`void` | `trigger(Build build)` Trigger the step in specified build context.
`void` | `validate(Editable editable)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_NAME

    public static final java.lang.String DEFAULT_NAME

See Also:
  Constant Field Values

Constructor Detail

### Step

    public Step()

Method Detail

### getStepNecessaryCondition

    public java.lang.String getStepNecessaryCondition()

  OGNL: Determines if this step is necessary during the build process. It is an OGNL expression with current configuration as its root object.

### setStepNecessaryCondition

    public void setStepNecessaryCondition(java.lang.String stepNecessaryCondition)

### getStepNecessaryConditionChoices

    public java.util.Map getStepNecessaryConditionChoices()

### equals

    public boolean equals(java.lang.Object other)

### hashCode

    public int hashCode()

### getName

    public java.lang.String getName()

  Provide a name for this step.

  Returns:

### setName

    public void setName(java.lang.String name)

### getNameChoices

    public java.util.Map getNameChoices()

### getStatus

    public StepStatusEnum getStatus()

### setStatus

    public void setStatus(StepStatusEnum status)

### run

    protected abstract void run(Build build)

  Run this step in specified build context.

  Parameters:
    `build` -
  Throws:
    `org.apache.tools.ant.BuildException`

### trigger

    public void trigger(Build build)

  Trigger the step in specified build context.

  Parameters:
    `build` -

### getEditor

    public StepEditor getEditor()

### setEditor

    public void setEditor(StepEditor editor)

### getParent

    public Step getParent()

### validate

    public void validate(Editable editable)

### isSuccessful

    public boolean isSuccessful()

  OGNL: Whether or not this step is successful.

  Returns:

### isFailed

    public boolean isFailed()

  OGNL: Whether or not this step is failed.

  Returns:

### isRunning

    public boolean isRunning()

  OGNL: Whether or not this step is running.

  Returns:

### isIdle

    public boolean isIdle()

  OGNL: Whether or not this step is idle.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.